Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
54.232.0.0
Broadcast address
54.239.255.255
First usable
54.232.0.1
Last usable
54.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 36E80000 · Integer 921174016 to 921698303
Reverse DNS zones
232.54.in-addr.arpa
233.54.in-addr.arpa
234.54.in-addr.arpa
235.54.in-addr.arpa
236.54.in-addr.arpa
237.54.in-addr.arpa
238.54.in-addr.arpa
239.54.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.11101000.00000000.0000000054.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00110110.11101000.00000000.0000000054.232.0.0
Broadcast00110110.11101111.11111111.1111111154.239.255.255
Split into smaller subnets/24

54.232.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.232.0.0/2454.232.0.1 to 54.232.0.25454.232.0.255254
254.232.1.0/2454.232.1.1 to 54.232.1.25454.232.1.255254
354.232.2.0/2454.232.2.1 to 54.232.2.25454.232.2.255254
454.232.3.0/2454.232.3.1 to 54.232.3.25454.232.3.255254
554.232.4.0/2454.232.4.1 to 54.232.4.25454.232.4.255254
654.232.5.0/2454.232.5.1 to 54.232.5.25454.232.5.255254
754.232.6.0/2454.232.6.1 to 54.232.6.25454.232.6.255254
854.232.7.0/2454.232.7.1 to 54.232.7.25454.232.7.255254
954.232.8.0/2454.232.8.1 to 54.232.8.25454.232.8.255254
1054.232.9.0/2454.232.9.1 to 54.232.9.25454.232.9.255254
1154.232.10.0/2454.232.10.1 to 54.232.10.25454.232.10.255254
1254.232.11.0/2454.232.11.1 to 54.232.11.25454.232.11.255254
1354.232.12.0/2454.232.12.1 to 54.232.12.25454.232.12.255254
1454.232.13.0/2454.232.13.1 to 54.232.13.25454.232.13.255254
1554.232.14.0/2454.232.14.1 to 54.232.14.25454.232.14.255254
1654.232.15.0/2454.232.15.1 to 54.232.15.25454.232.15.255254
1754.232.16.0/2454.232.16.1 to 54.232.16.25454.232.16.255254
1854.232.17.0/2454.232.17.1 to 54.232.17.25454.232.17.255254
1954.232.18.0/2454.232.18.1 to 54.232.18.25454.232.18.255254
2054.232.19.0/2454.232.19.1 to 54.232.19.25454.232.19.255254
2154.232.20.0/2454.232.20.1 to 54.232.20.25454.232.20.255254
2254.232.21.0/2454.232.21.1 to 54.232.21.25454.232.21.255254
2354.232.22.0/2454.232.22.1 to 54.232.22.25454.232.22.255254
2454.232.23.0/2454.232.23.1 to 54.232.23.25454.232.23.255254
2554.232.24.0/2454.232.24.1 to 54.232.24.25454.232.24.255254
2654.232.25.0/2454.232.25.1 to 54.232.25.25454.232.25.255254
2754.232.26.0/2454.232.26.1 to 54.232.26.25454.232.26.255254
2854.232.27.0/2454.232.27.1 to 54.232.27.25454.232.27.255254
2954.232.28.0/2454.232.28.1 to 54.232.28.25454.232.28.255254
3054.232.29.0/2454.232.29.1 to 54.232.29.25454.232.29.255254
3154.232.30.0/2454.232.30.1 to 54.232.30.25454.232.30.255254
3254.232.31.0/2454.232.31.1 to 54.232.31.25454.232.31.255254
3354.232.32.0/2454.232.32.1 to 54.232.32.25454.232.32.255254
3454.232.33.0/2454.232.33.1 to 54.232.33.25454.232.33.255254
3554.232.34.0/2454.232.34.1 to 54.232.34.25454.232.34.255254
3654.232.35.0/2454.232.35.1 to 54.232.35.25454.232.35.255254
3754.232.36.0/2454.232.36.1 to 54.232.36.25454.232.36.255254
3854.232.37.0/2454.232.37.1 to 54.232.37.25454.232.37.255254
3954.232.38.0/2454.232.38.1 to 54.232.38.25454.232.38.255254
4054.232.39.0/2454.232.39.1 to 54.232.39.25454.232.39.255254
4154.232.40.0/2454.232.40.1 to 54.232.40.25454.232.40.255254
4254.232.41.0/2454.232.41.1 to 54.232.41.25454.232.41.255254
4354.232.42.0/2454.232.42.1 to 54.232.42.25454.232.42.255254
4454.232.43.0/2454.232.43.1 to 54.232.43.25454.232.43.255254
4554.232.44.0/2454.232.44.1 to 54.232.44.25454.232.44.255254
4654.232.45.0/2454.232.45.1 to 54.232.45.25454.232.45.255254
4754.232.46.0/2454.232.46.1 to 54.232.46.25454.232.46.255254
4854.232.47.0/2454.232.47.1 to 54.232.47.25454.232.47.255254
4954.232.48.0/2454.232.48.1 to 54.232.48.25454.232.48.255254
5054.232.49.0/2454.232.49.1 to 54.232.49.25454.232.49.255254
5154.232.50.0/2454.232.50.1 to 54.232.50.25454.232.50.255254
5254.232.51.0/2454.232.51.1 to 54.232.51.25454.232.51.255254
5354.232.52.0/2454.232.52.1 to 54.232.52.25454.232.52.255254
5454.232.53.0/2454.232.53.1 to 54.232.53.25454.232.53.255254
5554.232.54.0/2454.232.54.1 to 54.232.54.25454.232.54.255254
5654.232.55.0/2454.232.55.1 to 54.232.55.25454.232.55.255254
5754.232.56.0/2454.232.56.1 to 54.232.56.25454.232.56.255254
5854.232.57.0/2454.232.57.1 to 54.232.57.25454.232.57.255254
5954.232.58.0/2454.232.58.1 to 54.232.58.25454.232.58.255254
6054.232.59.0/2454.232.59.1 to 54.232.59.25454.232.59.255254
6154.232.60.0/2454.232.60.1 to 54.232.60.25454.232.60.255254
6254.232.61.0/2454.232.61.1 to 54.232.61.25454.232.61.255254
6354.232.62.0/2454.232.62.1 to 54.232.62.25454.232.62.255254
6454.232.63.0/2454.232.63.1 to 54.232.63.25454.232.63.255254
6554.232.64.0/2454.232.64.1 to 54.232.64.25454.232.64.255254
6654.232.65.0/2454.232.65.1 to 54.232.65.25454.232.65.255254
6754.232.66.0/2454.232.66.1 to 54.232.66.25454.232.66.255254
6854.232.67.0/2454.232.67.1 to 54.232.67.25454.232.67.255254
6954.232.68.0/2454.232.68.1 to 54.232.68.25454.232.68.255254
7054.232.69.0/2454.232.69.1 to 54.232.69.25454.232.69.255254
7154.232.70.0/2454.232.70.1 to 54.232.70.25454.232.70.255254
7254.232.71.0/2454.232.71.1 to 54.232.71.25454.232.71.255254
7354.232.72.0/2454.232.72.1 to 54.232.72.25454.232.72.255254
7454.232.73.0/2454.232.73.1 to 54.232.73.25454.232.73.255254
7554.232.74.0/2454.232.74.1 to 54.232.74.25454.232.74.255254
7654.232.75.0/2454.232.75.1 to 54.232.75.25454.232.75.255254
7754.232.76.0/2454.232.76.1 to 54.232.76.25454.232.76.255254
7854.232.77.0/2454.232.77.1 to 54.232.77.25454.232.77.255254
7954.232.78.0/2454.232.78.1 to 54.232.78.25454.232.78.255254
8054.232.79.0/2454.232.79.1 to 54.232.79.25454.232.79.255254
8154.232.80.0/2454.232.80.1 to 54.232.80.25454.232.80.255254
8254.232.81.0/2454.232.81.1 to 54.232.81.25454.232.81.255254
8354.232.82.0/2454.232.82.1 to 54.232.82.25454.232.82.255254
8454.232.83.0/2454.232.83.1 to 54.232.83.25454.232.83.255254
8554.232.84.0/2454.232.84.1 to 54.232.84.25454.232.84.255254
8654.232.85.0/2454.232.85.1 to 54.232.85.25454.232.85.255254
8754.232.86.0/2454.232.86.1 to 54.232.86.25454.232.86.255254
8854.232.87.0/2454.232.87.1 to 54.232.87.25454.232.87.255254
8954.232.88.0/2454.232.88.1 to 54.232.88.25454.232.88.255254
9054.232.89.0/2454.232.89.1 to 54.232.89.25454.232.89.255254
9154.232.90.0/2454.232.90.1 to 54.232.90.25454.232.90.255254
9254.232.91.0/2454.232.91.1 to 54.232.91.25454.232.91.255254
9354.232.92.0/2454.232.92.1 to 54.232.92.25454.232.92.255254
9454.232.93.0/2454.232.93.1 to 54.232.93.25454.232.93.255254
9554.232.94.0/2454.232.94.1 to 54.232.94.25454.232.94.255254
9654.232.95.0/2454.232.95.1 to 54.232.95.25454.232.95.255254
9754.232.96.0/2454.232.96.1 to 54.232.96.25454.232.96.255254
9854.232.97.0/2454.232.97.1 to 54.232.97.25454.232.97.255254
9954.232.98.0/2454.232.98.1 to 54.232.98.25454.232.98.255254
10054.232.99.0/2454.232.99.1 to 54.232.99.25454.232.99.255254
10154.232.100.0/2454.232.100.1 to 54.232.100.25454.232.100.255254
10254.232.101.0/2454.232.101.1 to 54.232.101.25454.232.101.255254
10354.232.102.0/2454.232.102.1 to 54.232.102.25454.232.102.255254
10454.232.103.0/2454.232.103.1 to 54.232.103.25454.232.103.255254
10554.232.104.0/2454.232.104.1 to 54.232.104.25454.232.104.255254
10654.232.105.0/2454.232.105.1 to 54.232.105.25454.232.105.255254
10754.232.106.0/2454.232.106.1 to 54.232.106.25454.232.106.255254
10854.232.107.0/2454.232.107.1 to 54.232.107.25454.232.107.255254
10954.232.108.0/2454.232.108.1 to 54.232.108.25454.232.108.255254
11054.232.109.0/2454.232.109.1 to 54.232.109.25454.232.109.255254
11154.232.110.0/2454.232.110.1 to 54.232.110.25454.232.110.255254
11254.232.111.0/2454.232.111.1 to 54.232.111.25454.232.111.255254
11354.232.112.0/2454.232.112.1 to 54.232.112.25454.232.112.255254
11454.232.113.0/2454.232.113.1 to 54.232.113.25454.232.113.255254
11554.232.114.0/2454.232.114.1 to 54.232.114.25454.232.114.255254
11654.232.115.0/2454.232.115.1 to 54.232.115.25454.232.115.255254
11754.232.116.0/2454.232.116.1 to 54.232.116.25454.232.116.255254
11854.232.117.0/2454.232.117.1 to 54.232.117.25454.232.117.255254
11954.232.118.0/2454.232.118.1 to 54.232.118.25454.232.118.255254
12054.232.119.0/2454.232.119.1 to 54.232.119.25454.232.119.255254
12154.232.120.0/2454.232.120.1 to 54.232.120.25454.232.120.255254
12254.232.121.0/2454.232.121.1 to 54.232.121.25454.232.121.255254
12354.232.122.0/2454.232.122.1 to 54.232.122.25454.232.122.255254
12454.232.123.0/2454.232.123.1 to 54.232.123.25454.232.123.255254
12554.232.124.0/2454.232.124.1 to 54.232.124.25454.232.124.255254
12654.232.125.0/2454.232.125.1 to 54.232.125.25454.232.125.255254
12754.232.126.0/2454.232.126.1 to 54.232.126.25454.232.126.255254
12854.232.127.0/2454.232.127.1 to 54.232.127.25454.232.127.255254
12954.232.128.0/2454.232.128.1 to 54.232.128.25454.232.128.255254
13054.232.129.0/2454.232.129.1 to 54.232.129.25454.232.129.255254
13154.232.130.0/2454.232.130.1 to 54.232.130.25454.232.130.255254
13254.232.131.0/2454.232.131.1 to 54.232.131.25454.232.131.255254
13354.232.132.0/2454.232.132.1 to 54.232.132.25454.232.132.255254
13454.232.133.0/2454.232.133.1 to 54.232.133.25454.232.133.255254
13554.232.134.0/2454.232.134.1 to 54.232.134.25454.232.134.255254
13654.232.135.0/2454.232.135.1 to 54.232.135.25454.232.135.255254
13754.232.136.0/2454.232.136.1 to 54.232.136.25454.232.136.255254
13854.232.137.0/2454.232.137.1 to 54.232.137.25454.232.137.255254
13954.232.138.0/2454.232.138.1 to 54.232.138.25454.232.138.255254
14054.232.139.0/2454.232.139.1 to 54.232.139.25454.232.139.255254
14154.232.140.0/2454.232.140.1 to 54.232.140.25454.232.140.255254
14254.232.141.0/2454.232.141.1 to 54.232.141.25454.232.141.255254
14354.232.142.0/2454.232.142.1 to 54.232.142.25454.232.142.255254
14454.232.143.0/2454.232.143.1 to 54.232.143.25454.232.143.255254
14554.232.144.0/2454.232.144.1 to 54.232.144.25454.232.144.255254
14654.232.145.0/2454.232.145.1 to 54.232.145.25454.232.145.255254
14754.232.146.0/2454.232.146.1 to 54.232.146.25454.232.146.255254
14854.232.147.0/2454.232.147.1 to 54.232.147.25454.232.147.255254
14954.232.148.0/2454.232.148.1 to 54.232.148.25454.232.148.255254
15054.232.149.0/2454.232.149.1 to 54.232.149.25454.232.149.255254
15154.232.150.0/2454.232.150.1 to 54.232.150.25454.232.150.255254
15254.232.151.0/2454.232.151.1 to 54.232.151.25454.232.151.255254
15354.232.152.0/2454.232.152.1 to 54.232.152.25454.232.152.255254
15454.232.153.0/2454.232.153.1 to 54.232.153.25454.232.153.255254
15554.232.154.0/2454.232.154.1 to 54.232.154.25454.232.154.255254
15654.232.155.0/2454.232.155.1 to 54.232.155.25454.232.155.255254
15754.232.156.0/2454.232.156.1 to 54.232.156.25454.232.156.255254
15854.232.157.0/2454.232.157.1 to 54.232.157.25454.232.157.255254
15954.232.158.0/2454.232.158.1 to 54.232.158.25454.232.158.255254
16054.232.159.0/2454.232.159.1 to 54.232.159.25454.232.159.255254
16154.232.160.0/2454.232.160.1 to 54.232.160.25454.232.160.255254
16254.232.161.0/2454.232.161.1 to 54.232.161.25454.232.161.255254
16354.232.162.0/2454.232.162.1 to 54.232.162.25454.232.162.255254
16454.232.163.0/2454.232.163.1 to 54.232.163.25454.232.163.255254
16554.232.164.0/2454.232.164.1 to 54.232.164.25454.232.164.255254
16654.232.165.0/2454.232.165.1 to 54.232.165.25454.232.165.255254
16754.232.166.0/2454.232.166.1 to 54.232.166.25454.232.166.255254
16854.232.167.0/2454.232.167.1 to 54.232.167.25454.232.167.255254
16954.232.168.0/2454.232.168.1 to 54.232.168.25454.232.168.255254
17054.232.169.0/2454.232.169.1 to 54.232.169.25454.232.169.255254
17154.232.170.0/2454.232.170.1 to 54.232.170.25454.232.170.255254
17254.232.171.0/2454.232.171.1 to 54.232.171.25454.232.171.255254
17354.232.172.0/2454.232.172.1 to 54.232.172.25454.232.172.255254
17454.232.173.0/2454.232.173.1 to 54.232.173.25454.232.173.255254
17554.232.174.0/2454.232.174.1 to 54.232.174.25454.232.174.255254
17654.232.175.0/2454.232.175.1 to 54.232.175.25454.232.175.255254
17754.232.176.0/2454.232.176.1 to 54.232.176.25454.232.176.255254
17854.232.177.0/2454.232.177.1 to 54.232.177.25454.232.177.255254
17954.232.178.0/2454.232.178.1 to 54.232.178.25454.232.178.255254
18054.232.179.0/2454.232.179.1 to 54.232.179.25454.232.179.255254
18154.232.180.0/2454.232.180.1 to 54.232.180.25454.232.180.255254
18254.232.181.0/2454.232.181.1 to 54.232.181.25454.232.181.255254
18354.232.182.0/2454.232.182.1 to 54.232.182.25454.232.182.255254
18454.232.183.0/2454.232.183.1 to 54.232.183.25454.232.183.255254
18554.232.184.0/2454.232.184.1 to 54.232.184.25454.232.184.255254
18654.232.185.0/2454.232.185.1 to 54.232.185.25454.232.185.255254
18754.232.186.0/2454.232.186.1 to 54.232.186.25454.232.186.255254
18854.232.187.0/2454.232.187.1 to 54.232.187.25454.232.187.255254
18954.232.188.0/2454.232.188.1 to 54.232.188.25454.232.188.255254
19054.232.189.0/2454.232.189.1 to 54.232.189.25454.232.189.255254
19154.232.190.0/2454.232.190.1 to 54.232.190.25454.232.190.255254
19254.232.191.0/2454.232.191.1 to 54.232.191.25454.232.191.255254
19354.232.192.0/2454.232.192.1 to 54.232.192.25454.232.192.255254
19454.232.193.0/2454.232.193.1 to 54.232.193.25454.232.193.255254
19554.232.194.0/2454.232.194.1 to 54.232.194.25454.232.194.255254
19654.232.195.0/2454.232.195.1 to 54.232.195.25454.232.195.255254
19754.232.196.0/2454.232.196.1 to 54.232.196.25454.232.196.255254
19854.232.197.0/2454.232.197.1 to 54.232.197.25454.232.197.255254
19954.232.198.0/2454.232.198.1 to 54.232.198.25454.232.198.255254
20054.232.199.0/2454.232.199.1 to 54.232.199.25454.232.199.255254
20154.232.200.0/2454.232.200.1 to 54.232.200.25454.232.200.255254
20254.232.201.0/2454.232.201.1 to 54.232.201.25454.232.201.255254
20354.232.202.0/2454.232.202.1 to 54.232.202.25454.232.202.255254
20454.232.203.0/2454.232.203.1 to 54.232.203.25454.232.203.255254
20554.232.204.0/2454.232.204.1 to 54.232.204.25454.232.204.255254
20654.232.205.0/2454.232.205.1 to 54.232.205.25454.232.205.255254
20754.232.206.0/2454.232.206.1 to 54.232.206.25454.232.206.255254
20854.232.207.0/2454.232.207.1 to 54.232.207.25454.232.207.255254
20954.232.208.0/2454.232.208.1 to 54.232.208.25454.232.208.255254
21054.232.209.0/2454.232.209.1 to 54.232.209.25454.232.209.255254
21154.232.210.0/2454.232.210.1 to 54.232.210.25454.232.210.255254
21254.232.211.0/2454.232.211.1 to 54.232.211.25454.232.211.255254
21354.232.212.0/2454.232.212.1 to 54.232.212.25454.232.212.255254
21454.232.213.0/2454.232.213.1 to 54.232.213.25454.232.213.255254
21554.232.214.0/2454.232.214.1 to 54.232.214.25454.232.214.255254
21654.232.215.0/2454.232.215.1 to 54.232.215.25454.232.215.255254
21754.232.216.0/2454.232.216.1 to 54.232.216.25454.232.216.255254
21854.232.217.0/2454.232.217.1 to 54.232.217.25454.232.217.255254
21954.232.218.0/2454.232.218.1 to 54.232.218.25454.232.218.255254
22054.232.219.0/2454.232.219.1 to 54.232.219.25454.232.219.255254
22154.232.220.0/2454.232.220.1 to 54.232.220.25454.232.220.255254
22254.232.221.0/2454.232.221.1 to 54.232.221.25454.232.221.255254
22354.232.222.0/2454.232.222.1 to 54.232.222.25454.232.222.255254
22454.232.223.0/2454.232.223.1 to 54.232.223.25454.232.223.255254
22554.232.224.0/2454.232.224.1 to 54.232.224.25454.232.224.255254
22654.232.225.0/2454.232.225.1 to 54.232.225.25454.232.225.255254
22754.232.226.0/2454.232.226.1 to 54.232.226.25454.232.226.255254
22854.232.227.0/2454.232.227.1 to 54.232.227.25454.232.227.255254
22954.232.228.0/2454.232.228.1 to 54.232.228.25454.232.228.255254
23054.232.229.0/2454.232.229.1 to 54.232.229.25454.232.229.255254
23154.232.230.0/2454.232.230.1 to 54.232.230.25454.232.230.255254
23254.232.231.0/2454.232.231.1 to 54.232.231.25454.232.231.255254
23354.232.232.0/2454.232.232.1 to 54.232.232.25454.232.232.255254
23454.232.233.0/2454.232.233.1 to 54.232.233.25454.232.233.255254
23554.232.234.0/2454.232.234.1 to 54.232.234.25454.232.234.255254
23654.232.235.0/2454.232.235.1 to 54.232.235.25454.232.235.255254
23754.232.236.0/2454.232.236.1 to 54.232.236.25454.232.236.255254
23854.232.237.0/2454.232.237.1 to 54.232.237.25454.232.237.255254
23954.232.238.0/2454.232.238.1 to 54.232.238.25454.232.238.255254
24054.232.239.0/2454.232.239.1 to 54.232.239.25454.232.239.255254
24154.232.240.0/2454.232.240.1 to 54.232.240.25454.232.240.255254
24254.232.241.0/2454.232.241.1 to 54.232.241.25454.232.241.255254
24354.232.242.0/2454.232.242.1 to 54.232.242.25454.232.242.255254
24454.232.243.0/2454.232.243.1 to 54.232.243.25454.232.243.255254
24554.232.244.0/2454.232.244.1 to 54.232.244.25454.232.244.255254
24654.232.245.0/2454.232.245.1 to 54.232.245.25454.232.245.255254
24754.232.246.0/2454.232.246.1 to 54.232.246.25454.232.246.255254
24854.232.247.0/2454.232.247.1 to 54.232.247.25454.232.247.255254
24954.232.248.0/2454.232.248.1 to 54.232.248.25454.232.248.255254
25054.232.249.0/2454.232.249.1 to 54.232.249.25454.232.249.255254
25154.232.250.0/2454.232.250.1 to 54.232.250.25454.232.250.255254
25254.232.251.0/2454.232.251.1 to 54.232.251.25454.232.251.255254
25354.232.252.0/2454.232.252.1 to 54.232.252.25454.232.252.255254
25454.232.253.0/2454.232.253.1 to 54.232.253.25454.232.253.255254
25554.232.254.0/2454.232.254.1 to 54.232.254.25454.232.254.255254
25654.232.255.0/2454.232.255.1 to 54.232.255.25454.232.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses